Subject: [Sip] FW: [Fwd: RE: [rohc] Volunteers to review the SigComp Section ofdraft-ietf-sip-hitchhikers-guide-03]

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Sun, 21 Oct 2007 18:05:23 +0200

These are comments from a member of the ROHC group on the Sigcomp related portion of this draft.

Regards

Keith 

-----Original Message-----
From: Carl Knutsson [mailto:[email-masked]] 
Sent: Friday, October 19, 2007 1:39 PM
To: DRAGE, Keith (Keith)
Subject: [Fwd: RE: [rohc] Volunteers to review the SigComp Section ofdraft-ietf-sip-hitchhikers-guide-03]

Hi Keith,

I got this review from Abbie.

/Calle

-------- Original Message --------
Subject: 	RE: [rohc] Volunteers to review the SigComp Section
ofdraft-ietf-sip-hitchhikers-guide-03
Date: 	Fri, 19 Oct 2007 13:07:42 +0100
From: 	West, Abigail <[email-masked]>
To: 	Carl Knutsson <[email-masked]>, rohc <[email-masked]>
References: 	<[email-masked]>

Hi Carl,

I've just had a look at this document.  I haven't read through all of it in detail as I'm no SIP expert.  However, I have read the SIP Compression section and have some comments:

draft-ietf-rohc-sigcomp-sip-08.txt (currently in EDIT) is discusses how to apply SigComp to SIP.  It is not a SIP specification as defined in this document but I think it should be mentioned so that there is a reference for it in the first paragraph along the lines of:
"... Sigcomp is not formally part of SIP.  SigComp for SIP [x] explains how to use SigComp for compressing SIP.  However, ..."

RFC3486 defines two parameters, not one (though their syntax is the same).  One is a URI parameter, the other is for the via header.

In both cases, the parameter is not only used to indicate that SigComp is supported, it is also used to request compression.

I hope this is useful.

Best regards,

Abbie

--
Abbie West (neé Surtees)
Consultant Engineer
Roke Manor Research Ltd
Tel: +44 (0)1794 833131
Fax: +44 (0)1794 833433

Please note that though my email address is West I am using my maiden name for work in this area and mail to [email-masked] will also reach me.

> -----Original Message-----
> From: Carl Knutsson [mailto:[email-masked]]
> Sent: 15 October 2007 12:32
> To: rohc
> Subject: [rohc] Volunteers to review the SigComp Section
> ofdraft-ietf-sip-hitchhikers-guide-03
> 
> Hi all,
> 
> I am looking for volunteers to review the sip-hitchhikers-guide (SIP 
> WG Last-call). It is an summary of how all SIP related specifications 
> fit together.
> 
> http://www.ietf.org/internet-drafts/draft-ietf-sip-hitchhikers
-guide-03.txt
> 
> 
> It probably won't take more than a few minutes. I would appreciate if 
> someone would volunteer for the review.
> 
> /Calle
> ROHC WG chair
> 
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip